org.eclipse.eef.ide.ui.internal.widgets

## Class EEFSectionLifecycleManager

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager
  - - org.eclipse.eef.ide.ui.internal.widgets.EEFSectionLifecycleManager

All Implemented Interfaces:
  IEEFLifecycleManager

    public class EEFSectionLifecycleManager
    extends AbstractEEFLifecycleManager

The lifecycle manager of the section.

### Field Summary

### Fields inherited from class org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager

`container`

### Constructor Summary

Constructors
Constructor and Description
`EEFSectionLifecycleManager(EEFPage eefPage)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Prepares for the widgets to be hidden.
`void` `aboutToBeShown()` Prepares for the widgets to be shown.
`void` `createControl(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer formContainer)` Creates the controls for the description.
`void` `dispose()` Disposes the content created.
`protected IEEFController` `getController()` Returns the controller.
`protected org.eclipse.swt.widgets.Control` `getValidationControl()` Returns the control on which the validation marker will appear.
`void` `refresh()` Refresh the widgets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFSectionLifecycleManager

    public EEFSectionLifecycleManager(EEFPage eefPage)

The constructor.

Parameters:
  `eefPage` - The page

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              IEEFFormContainer formContainer)

Creates the controls for the description.

Specified by:
  `createControl` in interface `IEEFLifecycleManager`
Overrides:
  `createControl` in class `AbstractEEFLifecycleManager`
Parameters:
  `parent` - The composite parent
  `formContainer` - The form container
See Also:
  `AbstractEEFLifecycleManager.createControl(org.eclipse.swt.widgets.Composite, org.eclipse.eef.common.ui.api.IEEFFormContainer)`

#### aboutToBeShown

    public void aboutToBeShown()

Prepares for the widgets to be shown.

Specified by:
  `aboutToBeShown` in interface `IEEFLifecycleManager`
Overrides:
  `aboutToBeShown` in class `AbstractEEFLifecycleManager`
See Also:
  `AbstractEEFLifecycleManager.aboutToBeShown()`

#### refresh

    public void refresh()

Refresh the widgets.

Specified by:
  `refresh` in interface `IEEFLifecycleManager`
Overrides:
  `refresh` in class `AbstractEEFLifecycleManager`
See Also:
  `AbstractEEFLifecycleManager.refresh()`

#### aboutToBeHidden

    public void aboutToBeHidden()

Prepares for the widgets to be hidden.

Specified by:
  `aboutToBeHidden` in interface `IEEFLifecycleManager`
Overrides:
  `aboutToBeHidden` in class `AbstractEEFLifecycleManager`
See Also:
  `AbstractEEFLifecycleManager.aboutToBeHidden()`

#### getController

    protected IEEFController getController()

Returns the controller.

Specified by:
  `getController` in class `AbstractEEFLifecycleManager`
Returns:
  The controller
See Also:
  `AbstractEEFLifecycleManager.getController()`

#### getValidationControl

    protected org.eclipse.swt.widgets.Control getValidationControl()

Returns the control on which the validation marker will appear.

Specified by:
  `getValidationControl` in class `AbstractEEFLifecycleManager`
Returns:
  The control used to display the validation marker
See Also:
  `AbstractEEFLifecycleManager.getValidationControl()`

#### dispose

    public void dispose()

Disposes the content created. The widgets created under the composite will be disposed by SWT already.

See Also:
  `IEEFLifecycleManager.dispose()`